# //////////////////////////////////////////////////////////////////////////////
# // Copyright (C) 2008 Cinterion Wireless Modules GmbH
# // Copyright (C) 2003-2008 Siemens AG
# // Copyright (C) 2003 Intrinsyc Europe Ltd.
# //
# // Version: 1.0
# // Date:    dummy
# //
# //////////////////////////////////////////////////////////////////////////////

TARGETNAME=rilgsm
RELEASETYPE=PLATFORM
TARGETTYPE=DYNLINK
DEFFILE=rilgsm.def
DLLENTRY=_DllMainCRTStartup


!IF "$(_TGTCPU)" == "x86"
CDEFINES=$(CDEFINES) -DX86_EMUL
!ENDIF

!IF "$(_WINCEOSVER)" >= "500"
_CELLCOREOAKROOT=$(_PUBLICROOT)\$(_TGTPROJ)\cesysgen\oak
_CELLCOREPUBOAKROOT=$(_PUBLICROOT)\cellcore\oak
!ELSE
!IF "$(OSSVCS_SYSGEN)" != ""
_OSSVCSSDKROOT=$(_COMMONSDKROOT)
_OSSVCSOAKROOT=$(_COMMONOAKROOT)
!ELSE
_OSSVCSSDKROOT=$(_PUBLICROOT)\ossvcs\sdk
_OSSVCSOAKROOT=$(_PUBLICROOT)\ossvcs\oak
!ENDIF
_OSSVCSPUBOAKROOT=$(_PUBLICROOT)\ossvcs\oak
!ENDIF

!IF "$(_WINCEOSVER)" >= "600"
CDEFINES=$(CDEFINES) -DRILDRV_CE6
RDEFINES=$(RDEFINES) -DRILDRV_CE6

CDEFINES=$(CDEFINES) -DNO_STATSTORE
!ENDIF

!IF "$(_WINCEOSVER)" >= "700"
CDEFINES=$(CDEFINES) -DRILDRV_CE7
RDEFINES=$(RDEFINES) -DRILDRV_CE7
!ENDIF

!IF "$(_WINCEOSVER)" >= "800"
CDEFINES=$(CDEFINES) -DRILDRV_CE8
RDEFINES=$(RDEFINES) -DRILDRV_CE8
!ENDIF

!IF "$(_TGTPROJ)" == "mincomm"

# Do NOT include OSSVCS.lib because the DLL no longer builds in the MINCOMM environment
# (Too many cooks in the kitchen...)
CDEFINES=$(CDEFINES) -DNO_STATSTORE

!ELSE

!IF "$(_TGTPROJ)" == "smssrvr"

# Do NOT include OSSVCS.lib because the DLL no longer builds in the MINCOMM environment
# (Too many cooks in the kitchen...)
CDEFINES=$(CDEFINES) -DNO_STATSTORE

!ELSE

CDEFINES=$(CDEFINES) -DRIL_LAST_ERROR

!IF "$(_WINCEOSVER)" >= "500"
!IF "$(_WINCEOSVER)" >= "600"
# No ossvcs.lib when using Windows CE 6.0
TARGETLIBS=
!ELSE
TARGETLIBS=$(_PUBLICROOT)\$(_TGTPROJ)\cesysgen\oak\lib\$(_CPUINDPATH)\ossvcs.lib
!ENDIF
!ELSE
TARGETLIBS=$(_OSSVCSOAKROOT)\lib\$(_CPUINDPATH)\ossvcs.lib
!ENDIF

!ENDIF

!ENDIF

WINCEOEM=1
TARGETLIBS=$(TARGETLIBS) \
!IF "$(_WINCEOSVER)" >= "600"
!IF "$(_WINCEOSVER)" >= "700"
    $(_PUBLICROOT)\common\exp\lib\$(_CPUINDPATH)\coredll.lib \
!ELSE
    $(_PROJECTROOT)\cesysgen\sdk\lib\$(_CPUINDPATH)\coredll.lib \
!ENDIF
    $(_PUBLICROOT)\cellcore\oak\lib\$(_CPUINDPATH)\cellcore.lib \
    $(_PUBLICROOT)\cellcore\oak\lib\$(_CPUINDPATH)\toolbox.lib
!ELSE
!IF "$(_WINCEOSVER)" >= "500"
    $(_PUBLICROOT)\$(_TGTPROJ)\cesysgen\sdk\lib\$(_CPUINDPATH)\coredll.lib \
!IF "$(_TGTPROJ)"!="$(_SMARTFON)"
    $(_PUBLICROOT)\$(_TGTPROJ)\cesysgen\sdk\lib\$(_CPUINDPATH)\cellcore.lib \
!ENDIF
    $(_CELLCOREPUBOAKROOT)\lib\$(_CPUINDPATH)\ccoreutl.lib \
    $(_CELLCOREPUBOAKROOT)\lib\$(_CPUINDPATH)\toolbox.lib \
    $(_PUBLICROOT)\wpc\cesysgen\sdk\lib\$(_CPUINDPATH)\urlmon.lib \
!ELSE
    $(_COMMONSDKROOT)\lib\$(_CPUINDPATH)\coredll.lib \
!IF "$(_TGTPROJ)"!="$(_SMARTFON)"
    $(_OSSVCSSDKROOT)\lib\$(_CPUINDPATH)\cellcore.lib \
!ENDIF
    $(_OSSVCSOAKROOT)\lib\$(_CPUINDPATH)\ccoreprv.lib \
    $(_OSSVCSPUBOAKROOT)\lib\$(_CPUINDPATH)\toolbox.lib \
!ENDIF
!ENDIF

!IF "$(_WINCEOSVER)" < "500"
INCLUDES=$(_TOOLBOXROOT);$(_PUBLICROOT)\ossvcs\ril\inc
!ELSE
INCLUDES=$(_PUBLICROOT)\cellcore\toolbox;$(_PUBLICROOT)\cellcore\ril\inc
!ENDIF
!IF "$(_WINCEOSVER)" >= "600"
INCLUDES=$(_PUBLICROOT)\cellcore\toolbox;$(_PUBLICROOT)\cellcore\oak\inc;$(_PUBLICROOT)\cellcore\sdk\inc;$(_PUBLICROOT)\ie\sdk\inc
!ENDIF
INCLUDES=.\;$(INCLUDES);$(_WINCEROOT)\others\mfc\include


SOURCES=\
    atcmd.cpp                 \
    audio.cpp                 \
    callctrl.cpp              \
    caps.cpp                  \
    comhand.cpp               \
    commain.cpp               \
    commanager.cpp            \
    command.cpp               \
    configradio.cpp           \
    data.cpp                  \
    eonshand.cpp              \
    exat.cpp                  \
    firmwareupdate.cpp        \
    forcehomenet.cpp          \
    gprs.cpp                  \
    gpshand.cpp               \
    misc.cpp                  \
    monitor.cpp               \
    msg.cpp                   \
    network.cpp               \
    parse.cpp                 \
    phonebook.cpp             \
    powermanager.cpp          \
    response.cpp              \
    URC_Parsing.cpp           \
    riladdtrace.cpp           \
    rilhand.cpp               \
    rilmain.cpp               \
    rilsimtk.cpp              \
    secur.cpp                 \
    sim_access.cpp            \
    smsenc.cpp                \
    smsprs.cpp                \
    supsvc.cpp                \
    util.cpp                  \
    voice.cpp                 \
    rildrv.rc

